From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apache/passenger/
Date: Thu, 11 May 2017 04:13:32 +0000 (UTC) [thread overview]
Message-ID: <1494476002.438ae8b7be01ccb3c267727a951c15ec9b20d974.graaff@gentoo> (raw)
commit: 438ae8b7be01ccb3c267727a951c15ec9b20d974
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu May 11 04:13:22 2017 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu May 11 04:13:22 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=438ae8b7
www-apache/passenger: add 5.1.4
Package-Manager: Portage-2.3.5, Repoman-2.3.1
www-apache/passenger/Manifest | 1 +
www-apache/passenger/passenger-5.1.4.ebuild | 118 ++++++++++++++++++++++++++++
2 files changed, 119 insertions(+)
diff --git a/www-apache/passenger/Manifest b/www-apache/passenger/Manifest
index 7b9f358ea4c..87b5270d9ed 100644
--- a/www-apache/passenger/Manifest
+++ b/www-apache/passenger/Manifest
@@ -1 +1,2 @@
DIST passenger-5.1.2.tar.gz 5646103 SHA256 7fb03a54650ef5e508895c9e45bc2d8151f6c4811ea6797e81f017fedddfdbab SHA512 88a77c749857a8538ea268f793d2708fa29b8891d2c3197577155f81cb66aa04919c25e713d4f00692051ad385eebaa94729cd30baa68edcf3d17c23bae0acdd WHIRLPOOL 8f115162e2a7c43af20cef1d689290c8a523cce10f617500eeb50ab6a226c203a404fc7ce53fd0e21e63276aa359c5d64b685318be36f79ce165ff598bac8766
+DIST passenger-5.1.4.tar.gz 5403636 SHA256 6e8460143fff88c7ae833b43ff5389c0b0d2654ee38ab1ac62e24a3814416de0 SHA512 c15df4ff59d21ec57361b5290106455a0e5b0aa1dc2b8442f06749426b81de0986e9826b9ca66f5e4f6536096c1ec201321e5d54200ead1fc2e67f3736ecb52c WHIRLPOOL 9311d5cea73df891b151512e81adf27f1fb98411944b23adedc43c0fa2b4e9fa78a778113e1cfb398aeaea580492b2444bd1a7b9d5d2704e0be514a120bb3ea1
diff --git a/www-apache/passenger/passenger-5.1.4.ebuild b/www-apache/passenger/passenger-5.1.4.ebuild
new file mode 100644
index 00000000000..c99492aca9c
--- /dev/null
+++ b/www-apache/passenger/passenger-5.1.4.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+
+inherit apache-module flag-o-matic multilib ruby-ng toolchain-funcs
+
+DESCRIPTION="Passenger makes deployment of Ruby on Rails applications a breeze"
+HOMEPAGE="https://www.phusionpassenger.com/"
+SRC_URI="https://s3.amazonaws.com/phusion-passenger/releases/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug"
+
+ruby_add_bdepend "dev-ruby/rake"
+
+ruby_add_rdepend "
+ >=dev-ruby/rack-1.0.0:*
+ >=dev-ruby/rake-0.8.1"
+
+# libev is bundled but with adapations that do not seem to be accepted
+# upstream, so we must use the bundled version :-(
+CDEPEND="
+ >=dev-libs/libuv-1.8.0
+ net-misc/curl[ssl]
+ www-servers/apache[apache2_modules_unixd(+)]"
+
+RDEPEND="${RDEPEND} ${CDEPEND}"
+DEPEND="${DEPEND} ${CDEPEND}"
+
+APACHE2_MOD_CONF="30_mod_${PN}-5.0.0 30_mod_${PN}"
+APACHE2_MOD_DEFINE="PASSENGER"
+
+need_apache2
+
+pkg_setup() {
+ use debug && append-flags -DPASSENGER_DEBUG
+}
+
+all_ruby_prepare() {
+ epatch "${FILESDIR}"/${PN}-5.0.20-gentoo.patch
+ epatch "${FILESDIR}"/${PN}-5.1.1-isnan.patch
+
+ # Change these with sed instead of a patch so that we can easily use
+ # the toolchain-funcs methods.
+ sed -i -e "/^CC/ s/=.*$/= '$(tc-getCC)'/" \
+ -e "/^CXX\s/ s/=.*$/= '$(tc-getCXX)'/" \
+ -e 's/PlatformInfo.debugging_cflags//' build/basics.rb || die
+
+ # Avoid fixed debugging CFLAGs.
+ sed -e '/debugging_cflags/areturn ""' -i src/ruby_supportlib/phusion_passenger/platform_info/compiler.rb || die
+
+ # Use sed here so that we can dynamically set the documentation directory.
+ sed -i -e "s:/usr/share/doc/passenger:/usr/share/doc/${P}:" \
+ -e "s:/usr/lib/apache2/modules/mod_passenger.so:${APACHE_MODULESDIR}/mod_passenger.so:" \
+ -e "s:/usr/lib/phusion-passenger/agents:/usr/libexec/phusion-passenger/agents:" \
+ src/ruby_supportlib/phusion_passenger.rb || die
+ sed -i -e "s:/usr/lib/phusion-passenger/agents:/usr/libexec/phusion-passenger/agents:" src/cxx_supportlib/ResourceLocator.h || die
+
+ # Don't install a tool that won't work in our setup.
+ sed -i -e '/passenger-install-apache2-module/d' src/ruby_supportlib/phusion_passenger/packaging.rb || die
+ rm -f bin/passenger-install-apache2-module || die "Unable to remove unneeded install script."
+
+ # Make sure we use the system-provided version where possible
+ rm -rf src/cxx_supportlib/vendor-copy/libuv || die "Unable to remove vendored code."
+
+ # Avoid building documentation to avoid a dependency on mizuho.
+ #sed -i -e 's/, :doc//' build/packaging.rb || die
+ touch doc/*.html || die
+
+ # Fix hard-coded use of AR
+ sed -i -e "s/ar cru/"$(tc-getAR)" cru/" build/support/cplusplus.rb || die
+}
+
+all_ruby_compile() {
+ V=1 EXTRA_LDFLAGS="${LDFLAGS}" \
+ APXS2="${APXS}" \
+ HTTPD="${APACHE_BIN}" \
+ FS_LIBDIR='/usr/'$(get_libdir) \
+ USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
+ ruby -S rake apache2 || die "rake failed"
+}
+
+each_ruby_compile() {
+ append-flags -fno-strict-aliasing
+
+ V=1 EXTRA_LDFLAGS="${LDFLAGS}" \
+ APXS2="${APXS}" \
+ HTTPD="${APACHE_BIN}" \
+ FS_LIBDIR='/usr/'$(get_libdir) \
+ USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
+ ${RUBY} -S rake native_support || die "rake failed"
+}
+
+all_ruby_install() {
+ APACHE2_MOD_FILE="${S}/buildout/apache2/mod_${PN}.so"
+ apache-module_src_install
+
+ # Patch in the correct libdir
+ sed -i -e 's:/usr/lib/:/usr/'$(get_libdir)'/:' "${D}${APACHE_MODULES_CONFDIR}/30_mod_${PN}.conf" || die
+
+ dodoc CHANGELOG README.md
+}
+
+each_ruby_install() {
+ DISTDIR="${D}" \
+ RUBYLIBDIR="$(ruby_rbconfig_value vendordir)" \
+ RUBYARCHDIR="$(ruby_rbconfig_value archdir)" \
+ APXS2="${APXS}" \
+ HTTPD="${APACHE_BIN}" \
+ FS_LIBDIR='/usr/'$(get_libdir) \
+ EXTRA_LDFLAGS="${LDFLAGS}" \
+ USE_VENDORED_LIBUV="no" LIBUV_LIBS="-luv" \
+ ${RUBY} -S rake fakeroot || die "rake failed"
+}
next reply other threads:[~2017-05-11 4:13 UTC|newest]
Thread overview: 135+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-05-11 4:13 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-06 11:35 [gentoo-commits] repo/gentoo:master commit in: www-apache/passenger/ Sam James
2024-08-14 9:48 Hans de Graaff
2024-07-31 6:03 Hans de Graaff
2024-07-07 9:52 Jakov Smolić
2024-07-07 9:52 Jakov Smolić
2024-05-19 5:33 Hans de Graaff
2024-05-19 5:33 Hans de Graaff
2024-05-18 17:23 Hans de Graaff
2024-05-18 17:23 Hans de Graaff
2024-03-06 12:27 Arthur Zamarin
2024-03-06 12:27 Arthur Zamarin
2024-01-23 16:40 Sam James
2024-01-23 16:40 Sam James
2024-01-23 10:54 Hans de Graaff
2023-11-21 6:58 Hans de Graaff
2023-08-28 9:25 Hans de Graaff
2023-07-23 13:43 Sam James
2023-07-23 13:43 Sam James
2023-07-19 11:00 Sam James
2023-07-19 11:00 Sam James
2023-07-08 14:09 Hans de Graaff
2023-06-13 9:39 Hans de Graaff
2023-06-10 4:20 Sam James
2023-06-09 16:35 Arthur Zamarin
2023-01-26 7:49 Hans de Graaff
2023-01-26 7:49 Hans de Graaff
2022-12-23 8:21 Sam James
2022-12-23 8:21 Sam James
2022-12-23 7:48 Hans de Graaff
2022-10-20 6:09 Hans de Graaff
2022-06-08 4:41 Hans de Graaff
2022-05-13 5:39 Hans de Graaff
2022-05-13 5:38 Hans de Graaff
2022-05-08 8:00 Hans de Graaff
2022-05-08 8:00 Hans de Graaff
2022-03-31 5:39 Hans de Graaff
2021-11-08 10:11 Agostino Sarubbo
2021-11-08 10:10 Agostino Sarubbo
2021-11-06 8:05 Hans de Graaff
2021-11-06 8:05 Hans de Graaff
2021-10-03 6:03 Hans de Graaff
2021-07-18 4:48 Hans de Graaff
2021-07-16 6:43 Hans de Graaff
2021-07-16 6:43 Hans de Graaff
2021-06-04 8:23 Hans de Graaff
2021-06-03 16:34 Sam James
2021-06-03 16:34 Sam James
2021-06-03 5:50 Hans de Graaff
2021-04-02 11:16 Hans de Graaff
2021-04-02 11:16 Hans de Graaff
2020-11-20 7:10 Hans de Graaff
2020-09-07 0:50 Thomas Deutschmann
2020-07-22 9:38 Hans de Graaff
2020-07-16 6:47 Hans de Graaff
2020-06-14 20:01 Sergei Trofimovich
2020-06-14 19:59 Sergei Trofimovich
2020-05-31 8:09 Hans de Graaff
2020-05-31 8:09 Hans de Graaff
2019-11-03 9:28 Hans de Graaff
2019-09-18 5:52 Hans de Graaff
2019-09-13 5:51 Hans de Graaff
2019-04-02 4:11 Hans de Graaff
2019-04-02 3:57 Hans de Graaff
2019-04-02 1:37 Thomas Deutschmann
2019-02-26 7:00 Hans de Graaff
2019-01-27 11:18 Hans de Graaff
2019-01-16 19:52 Hans de Graaff
2019-01-15 22:10 Thomas Deutschmann
2019-01-09 9:12 Hans de Graaff
2018-12-02 10:39 Hans de Graaff
2018-12-02 10:39 Hans de Graaff
2018-11-11 8:22 Hans de Graaff
2018-11-07 7:19 Hans de Graaff
2018-08-02 6:20 Hans de Graaff
2018-06-27 5:23 Hans de Graaff
2018-06-20 19:23 Hans de Graaff
2018-06-19 12:55 Thomas Deutschmann
2018-06-18 15:43 Agostino Sarubbo
2018-06-18 5:10 Hans de Graaff
2018-06-13 4:53 Hans de Graaff
2018-05-16 6:01 Hans de Graaff
2018-05-16 6:01 Hans de Graaff
2018-05-16 6:01 Hans de Graaff
2018-05-13 5:47 Hans de Graaff
2018-05-13 5:47 Hans de Graaff
2018-04-05 5:36 Hans de Graaff
2018-03-30 6:13 Hans de Graaff
2018-03-30 6:13 Hans de Graaff
2018-02-28 5:27 Hans de Graaff
2018-01-30 5:19 Hans de Graaff
2018-01-27 7:33 Hans de Graaff
2018-01-26 19:54 Thomas Deutschmann
2018-01-21 17:40 Hans de Graaff
2017-11-24 6:21 Hans de Graaff
2017-11-24 6:21 Hans de Graaff
2017-10-22 20:33 Thomas Deutschmann
2017-10-16 18:57 Hans de Graaff
2017-10-16 15:38 Hans de Graaff
2017-10-16 14:25 Hans de Graaff
2017-09-23 6:31 Hans de Graaff
2017-08-24 5:49 Hans de Graaff
2017-08-19 7:43 Hans de Graaff
2017-08-02 5:25 Hans de Graaff
2017-07-21 6:29 Hans de Graaff
2017-06-17 5:38 Hans de Graaff
2017-05-12 8:29 Hans de Graaff
2017-04-30 8:43 Hans de Graaff
2017-04-27 10:14 Agostino Sarubbo
2017-04-27 5:52 Hans de Graaff
2017-01-27 6:32 Hans de Graaff
2017-01-11 7:20 Hans de Graaff
2016-12-22 7:20 Hans de Graaff
2016-11-06 10:12 Hans de Graaff
2016-11-06 10:12 Hans de Graaff
2016-07-27 5:25 Hans de Graaff
2016-06-24 4:26 Hans de Graaff
2016-06-05 8:39 Hans de Graaff
2016-04-29 5:00 Hans de Graaff
2016-04-10 6:53 Hans de Graaff
2016-04-10 6:53 Hans de Graaff
2016-03-04 7:25 Hans de Graaff
2016-03-04 7:25 Hans de Graaff
2016-02-29 19:11 Hans de Graaff
2016-02-09 6:04 Hans de Graaff
2015-12-24 6:37 Hans de Graaff
2015-12-13 7:54 Hans de Graaff
2015-12-09 11:44 Agostino Sarubbo
2015-12-09 11:43 Agostino Sarubbo
2015-12-09 6:00 Hans de Graaff
2015-10-23 9:35 Hans de Graaff
2015-09-28 17:36 Hans de Graaff
2015-09-28 6:12 Hans de Graaff
2015-09-14 18:10 Hans de Graaff
2015-09-06 6:23 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1494476002.438ae8b7be01ccb3c267727a951c15ec9b20d974.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox